netatalk: mac_centraleurope.h File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
mac_centraleurope.h File Reference

Go to the source code of this file.

## Functions
static int | char_mac_centraleurope_to_ucs2 (ucs2_t *pwc, const unsigned char *s)
static int | char_ucs2_to_mac_centraleurope (unsigned char *r, ucs2_t wc)

## Variables
static const unsigned short | mac_centraleurope_2uni [128]
static const unsigned char | mac_centraleurope_page00 [224]
static const unsigned char | mac_centraleurope_page20 [48]
static const unsigned char | mac_centraleurope_page22 [32]
static const unsigned char | mac_centraleurope_page22_1 [8]

## Function Documentation

## ◆ char_mac_centraleurope_to_ucs2()

int char_mac_centraleurope_to_ucs2 | ( | ucs2_t * | pwc,
|  | const unsigned char * | s )
| static

## ◆ char_ucs2_to_mac_centraleurope()

int char_ucs2_to_mac_centraleurope | ( | unsigned char * | r,
|  | ucs2_t | wc )
| static

## Variable Documentation

## ◆ mac_centraleurope_2uni

const unsigned short mac_centraleurope_2uni[128]
| static

Initial value:
= {
0x00c4, 0x0100, 0x0101, 0x00c9, 0x0104, 0x00d6, 0x00dc, 0x00e1,
0x0105, 0x010c, 0x00e4, 0x010d, 0x0106, 0x0107, 0x00e9, 0x0179,
0x017a, 0x010e, 0x00ed, 0x010f, 0x0112, 0x0113, 0x0116, 0x00f3,
0x0117, 0x00f4, 0x00f6, 0x00f5, 0x00fa, 0x011a, 0x011b, 0x00fc,
0x2020, 0x00b0, 0x0118, 0x00a3, 0x00a7, 0x2022, 0x00b6, 0x00df,
0x00ae, 0x00a9, 0x2122, 0x0119, 0x00a8, 0x2260, 0x0123, 0x012e,
0x012f, 0x012a, 0x2264, 0x2265, 0x012b, 0x0136, 0x2202, 0x2211,
0x0142, 0x013b, 0x013c, 0x013d, 0x013e, 0x0139, 0x013a, 0x0145,
0x0146, 0x0143, 0x00ac, 0x221a, 0x0144, 0x0147, 0x2206, 0x00ab,
0x00bb, 0x2026, 0x00a0, 0x0148, 0x0150, 0x00d5, 0x0151, 0x014c,
0x2013, 0x2014, 0x201c, 0x201d, 0x2018, 0x2019, 0x00f7, 0x25ca,
0x014d, 0x0154, 0x0155, 0x0158, 0x2039, 0x203a, 0x0159, 0x0156,
0x0157, 0x0160, 0x201a, 0x201e, 0x0161, 0x015a, 0x015b, 0x00c1,
0x0164, 0x0165, 0x00cd, 0x017d, 0x017e, 0x016a, 0x00d3, 0x00d4,
0x016b, 0x016e, 0x00da, 0x016f, 0x0170, 0x0171, 0x0172, 0x0173,
0x00dd, 0x00fd, 0x0137, 0x017b, 0x0141, 0x017c, 0x0122, 0x02c7,
}

## ◆ mac_centraleurope_page00

const unsigned char mac_centraleurope_page00[224]
| static

## ◆ mac_centraleurope_page20

const unsigned char mac_centraleurope_page20[48]
| static

Initial value:
= {
0x00, 0x00, 0x00, 0xd0, 0xd1, 0x00, 0x00, 0x00,
0xd4, 0xd5, 0xe2, 0x00, 0xd2, 0xd3, 0xe3, 0x00,
0xa0, 0x00, 0xa5, 0x00, 0x00, 0x00, 0xc9, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0xdc, 0xdd, 0x00, 0x00, 0x00, 0x00, 0x00,
}

## ◆ mac_centraleurope_page22

const unsigned char mac_centraleurope_page22[32]
| static

Initial value:
= {
0x00, 0x00, 0xb6, 0x00, 0x00, 0x00, 0xc6, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0xb7, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0xc3, 0x00, 0x00, 0x00, 0x00, 0x00,
}

## ◆ mac_centraleurope_page22_1

const unsigned char mac_centraleurope_page22_1[8]
| static

Initial value:
= {
0xad, 0x00, 0x00, 0x00, 0xb2, 0xb3, 0x00, 0x00,
}